Bug 143492 - Bad versioning
Bad versioning
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2004-12-21 12:12 EST by Leonard den Ottolander
Modified: 2013-07-02 19:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-21 03:04:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2004-12-21 12:12:36 EST
mc in rawhide now uses 4.6.1a as it's version, despite the fact that
the used tarball is a *pre* 4.6.1 one.

Please retract the rpms with this version from rawhide and continue
using 4.6.1-0.x. If you do this soon you might not need to use an
epoch, which would be a very ugly and unnecessary solution.

Some people will have to upgrade using an --oldpackage this way, but
few people will be affected right now. The longer you wait the bigger
you will make the problem, which will most likely result in you being
unable to avoid an epoch. Ugh :-( .
Comment 1 Leonard den Ottolander 2004-12-31 10:09:18 EST
It turns out this was introduced in CVS by pchel on December 3rd.
Sorry for blaming you. Still it's always a good idea to be critical,
and notify upstream when they screw up (like with this versioning).

This issue of course still needs to be resolved here.
Comment 2 Leonard den Ottolander 2004-12-31 10:31:20 EST
Looking closer into this I found this is indeed your mistake after
all. You are updating from the wrong branch. pchel has split off a new
HEAD branch for testing purposes, which is called 4.6.1a, because it
will become 4.6.2-pre after the release.

You should be doing
cvs update -r MC_4_6_1_PRE

cvs update

for the creation of your pre 4.6.1 tarballs.
Comment 3 Jindrich Novy 2005-02-21 03:04:58 EST
Hi Leonard,

I'll keep 4.6.1a in rawhide because I'm not sure when the next official mc (if 
any) will be released. It fortunately doesn't contain much experimental code 
that I was afraid of as far as I have diffed the both branches soon after they 
were splitted 3rd Dec. The added code is safe.

You should also bear in mind things like this:

where I see the actual development likely comes to HEAD and I'm afraid that 
with PRE we would be stuck with development for a long time.


Note You need to log in before you can comment on or make changes to this bug.